/*
 * Copyright (C) 2023 Daniele Lacamera <root@danielinux.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <math.h>
#include <stdint.h>
#ifndef TRIG_H
#define TRIG_H
extern const float PreCalcCos[], PreCalcSin[];
extern const short PreCalcAtan[81][81];

static inline float psin(int x)
{
    int a = x + 180;
    if (a >= 360)
        a-=360;
    return (PreCalcSin[a]);
}

static inline float pcos(int x)
{
    int a = x + 180;
    if (a >= 360)
        a-=360;
    return (PreCalcCos[a]);
}

static inline int16_t p_atan2(int x, int y)
{
    return PreCalcAtan[x,y];
}

#endif
